import { Hasher } from './type';
export type DisclosureData<T> = [string, string, T] | [string, T];
export declare class Disclosure<T> {
    salt: string;
    key?: string;
    value: T;
    private _digest;
    constructor(data: DisclosureData<T>);
    static fromEncode<T>(s: string): Disclosure<T>;
    static fromArray<T>(item: DisclosureData<T>): Disclosure<T>;
    encode(): string;
    decode(): DisclosureData<T>;
    digest(hasher: Hasher): Promise<string>;
}
